none
Kerneopdatere version 2.10 til 2010SP1 4.3.1.282

    Spørgsmål

  • Jeg har en kunde, som har fået ny server med en SQL 2012 installeret. Han kører C5 version 2.10, som jo ikke kan køre på en SQL 2012. Kan man kerneopdatere den til version 2010 SP1 4.3.1.282, som er første version, der kan benytte SQL 2012? Han har opdateringsabonnement. Og nej, jeg kan ikke bare opgradere hele C5, da der er over 500 tilretninger.

    Mvh.

    Leif

    9. maj 2014 13:38

Svar

  • Hej Leif

    I teorien ja - muligvis, men det vil formentligt kræve en hel del tilpasninger af standardapplikationen - og du vil nok aldrig få så godt et overblik over det at du vil kunne være bare nogenlunde sikker på at tingene fungerer korrekt.

    Jeg har fx haft en XAL applikation startet på en nyere C5-kerne - blot for lige at teste om det var muligt - og uden at nå længere end til at applikationen kunne compileres og startes. Du kan evt. læse mere om det her: http://blog.systemconnect.dk/?p=67

    Jeg ville helt klart og til ENHVER i stedet anbefale at kunden installerer en ekstra instans af en ældre SQL (fx Express) på samme eller en anden server, fremfor at blande så gamle applikationer og kerner...


    MVH gsl@systemconnect.dk Se også: http://blog.systemconnect.dk/

    12. maj 2014 07:36
  • Hej igen Leif

    Jeg har - efter mit svar - modtaget nogle e-mails fra folk der faktisk har det her til at virke.

    ...og samtidigt blevet gjort opmærksom på at man fra Microsofts side ikke er vidende om at det ikke skulle virke (når man lige retter de ting i appliationen der er nødvendige - især omkring licenskoder og Windows-autorisation). Man er ikke vidende om at applikationsændringer har medført at de gamle 2.10 applikationer ikke kan bringes til at virke på en ny kerne.

    Så den vej du har startet er åbenbart gangbar. I stand corrected :-)


    MVH gsl@systemconnect.dk Se også: http://blog.systemconnect.dk/

    14. maj 2014 15:05
  • Hej igen, igen Leif :-)

    Først - jeg er nu i besiddelse af en zip-pakke med rettede applikationselementer, der løser store dele af opgaven med at tilpasse applikationen til de kerneændringer der er sket omkring windows-autorisation og slize-koder mv.

    Jeg skal understrege at der skal "fares med lempe her", så det er dit eget FULDE ansvar at teste løsningen helt af på testmiljø INDEN du sætter det i drift... Og naturligvis også at afhjælpe evt. mangler du måtte finde i den forbindelse...

    ...og så da lige en opfordring til at du lige så godt kan opgradere _hele_ vejen til nyeste C5 2012 kerne nu når du alligevel roder i det... Den har en hel det forbedringer ift. den du nævner... Ja, jeg er klar over at det er det stik modsatte af min første anbefaling - men man bliver jo klogere :-)

    Smid mig en e-mail hvis du er interesseret i zip-pakken (og det gælder naturligvis også andre) :-)


    MVH gsl@systemconnect.dk Se også: http://blog.systemconnect.dk/

    14. maj 2014 15:40

Alle besvarelser

  • Hej Leif

    I teorien ja - muligvis, men det vil formentligt kræve en hel del tilpasninger af standardapplikationen - og du vil nok aldrig få så godt et overblik over det at du vil kunne være bare nogenlunde sikker på at tingene fungerer korrekt.

    Jeg har fx haft en XAL applikation startet på en nyere C5-kerne - blot for lige at teste om det var muligt - og uden at nå længere end til at applikationen kunne compileres og startes. Du kan evt. læse mere om det her: http://blog.systemconnect.dk/?p=67

    Jeg ville helt klart og til ENHVER i stedet anbefale at kunden installerer en ekstra instans af en ældre SQL (fx Express) på samme eller en anden server, fremfor at blande så gamle applikationer og kerner...


    MVH gsl@systemconnect.dk Se også: http://blog.systemconnect.dk/

    12. maj 2014 07:36
  • Hej igen Leif

    Jeg har - efter mit svar - modtaget nogle e-mails fra folk der faktisk har det her til at virke.

    ...og samtidigt blevet gjort opmærksom på at man fra Microsofts side ikke er vidende om at det ikke skulle virke (når man lige retter de ting i appliationen der er nødvendige - især omkring licenskoder og Windows-autorisation). Man er ikke vidende om at applikationsændringer har medført at de gamle 2.10 applikationer ikke kan bringes til at virke på en ny kerne.

    Så den vej du har startet er åbenbart gangbar. I stand corrected :-)


    MVH gsl@systemconnect.dk Se også: http://blog.systemconnect.dk/

    14. maj 2014 15:05
  • Hej igen, igen Leif :-)

    Først - jeg er nu i besiddelse af en zip-pakke med rettede applikationselementer, der løser store dele af opgaven med at tilpasse applikationen til de kerneændringer der er sket omkring windows-autorisation og slize-koder mv.

    Jeg skal understrege at der skal "fares med lempe her", så det er dit eget FULDE ansvar at teste løsningen helt af på testmiljø INDEN du sætter det i drift... Og naturligvis også at afhjælpe evt. mangler du måtte finde i den forbindelse...

    ...og så da lige en opfordring til at du lige så godt kan opgradere _hele_ vejen til nyeste C5 2012 kerne nu når du alligevel roder i det... Den har en hel det forbedringer ift. den du nævner... Ja, jeg er klar over at det er det stik modsatte af min første anbefaling - men man bliver jo klogere :-)

    Smid mig en e-mail hvis du er interesseret i zip-pakken (og det gælder naturligvis også andre) :-)


    MVH gsl@systemconnect.dk Se også: http://blog.systemconnect.dk/

    14. maj 2014 15:40
  • Hej Gert

    Tak for dine svar. Jeg har faktisk fået det op at køre, mangler dog en grundig test. Jeg har brugt kernen fra version 4.1.0.180, hvor serienummeret er slizet ind vha. den gammeldags metode med slize.exe. Modulkoderne er lagt ind manuelt (indlæsning fra fil fejlede). Jeg havde dog problemer med 4.00 koder, idet den ikke ville logge på, når brugerne blev oprettet (domain\bruger), selvom jeg havde en C5 2012 kørende på samme maskine. Men med 2.10 koder kunne den (med -q210 parameter). Og så kan 2.10 applikationen oversættes unden ændringer til denne kerne.

    ...og ja, selv om Microsoft selv siger, at det først er fra og med version 4.3.1.282 at SQL 2012 kan benyttes, så kører 4.1.0.180 glimrende på den.

    Ja tak, jeg er meget interesseret i zip-pakken. Sender dig lige en mail.

    I samme forbindelse kunne jeg tænke mig at høre, om der er andre, som har en C5 2008 kørende op mod SQL 2012? Kan det gøres uden ændringer? Jeg har nemlig også en kunde på denne version, som skal have ny server og SQL.

    Mvh. Leif

    14. maj 2014 19:16
  • Hej Leif

    Din e-mail er besvaret :-).

    Du burde mig bekendt få en FASTFIRSTROW fejl som beskrevet her http://blog.systemconnect.dk/?p=307 hvis din C5 kerne ikke er ny nok til SQL 2012...

    Omvendt så kan det da være din -q210 slår den fra?? - eller at 2008 kernen blot ikke kører med den som standard (se evt. http://blog.systemconnect.dk/?p=450 - den kan i øvrigt også slås fra med -zzh parameteren). Men det øger jo nok ikke ligefrem hastigheden at køre uden :-)


    MVH gsl@systemconnect.dk Se også: http://blog.systemconnect.dk/

    14. maj 2014 19:44